# Uses of Class
java.net.URLStreamHandler

Packages that use URLStreamHandler
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of URLStreamHandler in java.net

Methods in java.net that return URLStreamHandler
Modifier and Type
Method
Description
`URLStreamHandler`
URLStreamHandlerFactory.`createURLStreamHandler​(String protocol)`
Creates a new `URLStreamHandler` instance with the specified protocol.
Constructors in java.net with parameters of type URLStreamHandler
Modifier
Constructor
Description
``
`URL​(String protocol, String host, int port, String file, URLStreamHandler handler)`
Creates a `URL` object from the specified `protocol`, `host`, `port` number, `file`, and `handler`.
``
`URL​(URL context, String spec, URLStreamHandler handler)`
Creates a URL by parsing the given spec with the specified handler within a specified context.